B2BB2B LLM

Hostirano web pretraživanje

Koristite alat Responses API web_search umjesto samostalne krajnje točke.

Hostirano web pretraživanje

Model Gate ne objavljuje zasebno /v1/web-search zatražiti ugovor. Koristiti POST /v1/responses s ugošćenim web_search alat.

Zahtjev

curl https://api.model-gate.com/v1/responses \
  -H "Authorization: Bearer mg_live_..." \
  -H "Content-Type: application/json" \
  -d '{
    "model": "gpt-5.4",
    "input": [{"role": "user", "content": [{"type": "input_text", "text": "Find the latest official release notes."}]}],
    "tools": [{"type": "web_search"}],
    "tool_choice": "required",
    "include": ["web_search_call.action.sources"],
    "stream": false
  }'

Odgovor

Dovršeni objekt Responses uključuje izlaz modela i izvore web-pretraživanja koji se mogu revidirati kada uzvodni model podržava hostirano pretraživanje.

{
  "id": "resp_...",
  "object": "response",
  "status": "completed",
  "output": [
    {
      "type": "web_search_call",
      "action": {
        "sources": [
          {"type": "url", "url": "https://example.com/source"}
        ]
      }
    },
    {
      "type": "message",
      "content": [
        {"type": "output_text", "text": "..."}
      ]
    }
  ]
}